## ros-noetic-moveit-kinematics 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_kinematics)

find_package(Boost REQUIRED COMPONENTS program_options)
find_package(Eigen3 REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf2
  tf2_kdl
)
moveit_build_options()

set(THIS_PACKAGE_INCLUDE_DIRS
    kdl_kinematics_plugin/include
    lma_kinematics_plugin/include
    srv_kinematics_plugin/include
    cached_ik_kinematics_plugin/include
)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
  DEPENDS
    EIGEN3
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})
include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS}
                    )

add_subdirectory(kdl_kinematics_plugin)
add_subdirectory(lma_kinematics_plugin)
add_subdirectory(srv_kinematics_plugin)
add_subdirectory(ikfast_kinematics_plugin)
add_subdirectory(cached_ik_kinematics_plugin)
add_subdirectory(test)

install(
  FILES
    kdl_kinematics_plugin_description.xml
    lma_kinematics_plugin_description.xml
    srv_kinematics_plugin_description.xml
    cached_ik_kinematics_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== test/CMakeLists.txt ===
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(xmlrpcpp REQUIRED)
  find_package(moveit_ros_planning REQUIRED)

  include_directories(${moveit_ros_planning_INCLUDE_DIRS})
  include_directories(SYSTEM ${xmlrpcpp_INCLUDE_DIRS})

  catkin_add_executable_with_gtest(test_kinematics_plugin test_kinematics_plugin.cpp)
  target_link_libraries(test_kinematics_plugin ${catkin_LIBRARIES} ${moveit_ros_planning_LIBRARIES} ${xmlrpcpp_LIBRARIES})
  if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    target_compile_options(test_kinematics_plugin PRIVATE -Wno-deprecated-declarations)
  endif()

  set(DEPS DEPENDENCIES test_kinematics_plugin)
  set(ARGS ARGS ik_plugin:=kdl_kinematics_plugin/KDLKinematicsPlugin)
  add_rostest(fanuc-kdl.test ${DEPS} ${ARGS})
  add_rostest(panda-kdl.test ${DEPS} ${ARGS})

  # LMA solver seems to have less precision
  set(ARGS ARGS ik_plugin:=lma_kinematics_plugin/LMAKinematicsPlugin tolerance:=0.0005)
  add_rostest(fanuc-kdl.test ${DEPS} ${ARGS})
  add_rostest(panda-kdl.test ${DEPS} ${ARGS})

  # Run ikfast tests only if the corresponding packages were built
  find_package(fanuc_ikfast_plugin QUIET)
  if (fanuc_ikfast_plugin_FOUND)
    add_rostest(fanuc-ikfast.test ${DEPS})
  endif()

  find_package(panda_ikfast_plugin QUIET)
  if (panda_ikfast_plugin_FOUND)
    add_rostest(panda-ikfast.test ${DEPS})
  endif()

  # Benchmarking program for cached_ik_kinematics
  add_executable(benchmark_ik benchmark_ik.cpp)
  target_link_libraries(benchmark_ik
      ${catkin_LIBRARIES} ${moveit_ros_planning_LIBRARIES}
      ${Boost_PROGRAM_OPTIONS_LIBRARY})
  install(TARGETS benchmark_ik
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endif()

=== debian/changelog ===
ros-noetic-moveit-kinematics (1.1.11-1buster) buster; urgency=high

  * kinematics: add ``program_options`` as required boost component (#3269 <https://github.com/ros-planning/moveit/issues/3269>)
  * Contributors: Jochen Sprickerhof

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.10-1buster) buster; urgency=high

  * Merge PR #3172 <https://github.com/ros-planning/moveit/issues/3172>: Fix CI
  * Fix test_ikfast_plugins.sh
  * auto_create_ikfast_moveit_plugin.sh: allow xacro input
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.9-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.8-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.7-1buster) buster; urgency=high

  * ``round_collada_numbers.py``: python 2/3 compatibility (#2983 <https://github.com/ros-planning/moveit/issues/2983>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Tomislav Bazina

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.4-1buster) buster; urgency=high

  * Fix ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
  * Contributors: ags-dy

 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit/issues/2473>)
  * Contributors: Tobias Fischer, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.1-1buster) buster; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.0-1buster) buster; urgency=high

  * [feature] Implementation of parameter TranslationXY2D IKFast (#1949 <https://github.com/ros-planning/moveit/issues/1949>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Delete IKCache copy constructor (#1750 <https://github.com/ros-planning/moveit/issues/1750>)
  * [maint] Move NOLINT instructions to intended positions (#2058 <https://github.com/ros-planning/moveit/issues/2058>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix various build issues on Windows (#1880 <https://github.com/ros-planning/moveit/issues/1880>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] Relax dependencies of moveit_kinematics (#1529 <https://github.com/ros-planning/moveit/issues/1529>)
  * Contributors: Ayush Garg, Christian Henkel, Dave Coleman, Henning Kayser, Immanuel Martini, Jonathan Binney, Markus Vieth, Martin Günther, Michael Ferguson, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, edetleon, jschleicher, v4hn

 -- Dave Coleman <dave@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.6-1buster) buster; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.4-1buster) buster; urgency=high

  * Fix broken IKFast generator (#2116 <https://github.com/ros-planning/moveit/issues/2116>)
  * Contributors: Robert Haschke



=== debian/control ===
Source: ros-noetic-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liborocos-kdl-dev, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-resources-fanuc-description <!nocheck>, ros-noetic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-noetic-moveit-resources-panda-description <!nocheck>, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-planning <!nocheck>, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-tf2, ros-noetic-tf2-kdl, ros-noetic-xmlrpcpp <!nocheck>
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, liborocos-kdl-dev, liburdfdom-tools, python3-lxml, python3-yaml, ros-noetic-moveit-core, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-kdl
Description: Package for all inverse kinematics solvers in MoveIt

## ros-noetic-moveit-kinematics 1.1.13

=== debian/changelog ===
ros-noetic-moveit-kinematics (1.1.13-2focal) focal; urgency=high

  * Improvements to create_ikfast_moveit_plugin.py (#3449 <https://github.com/ros-planning/moveit/issues/3449>)
    * Make SRDF sanity checks optional
    * Provide hint how to change kinematics.yaml if automatic adaption fails
    * Modernize string formatting to Python 3.x
    * Create new planning group entry in kinematics.yaml if needed
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.12-2focal) focal; urgency=high

  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.11-2focal) focal; urgency=high

  * kinematics: add ``program_options`` as required boost component (#3269 <https://github.com/ros-planning/moveit/issues/3269>)
  * Contributors: Jochen Sprickerhof

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.10-2focal) focal; urgency=high

  * Merge PR #3172 <https://github.com/ros-planning/moveit/issues/3172>: Fix CI
  * Fix test_ikfast_plugins.sh
  * auto_create_ikfast_moveit_plugin.sh: allow xacro input
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.9-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.8-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.7-2focal) focal; urgency=high

  * ``round_collada_numbers.py``: python 2/3 compatibility (#2983 <https://github.com/ros-planning/moveit/issues/2983>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Tomislav Bazina

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.5-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.4-2focal) focal; urgency=high

  * Fix ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
  * Contributors: ags-dy

 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.3-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.2-2focal) focal; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit/issues/2473>)
  * Contributors: Tobias Fischer, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.1-2focal) focal; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.0-2focal) focal; urgency=high

  * [feature] Implementation of parameter TranslationXY2D IKFast (#1949 <https://github.com/ros-planning/moveit/issues/1949>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Delete IKCache copy constructor (#1750 <https://github.com/ros-planning/moveit/issues/1750>)
  * [maint] Move NOLINT instructions to intended positions (#2058 <https://github.com/ros-planning/moveit/issues/2058>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix various build issues on Windows (#1880 <https://github.com/ros-planning/moveit/issues/1880>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] Relax dependencies of moveit_kinematics (#1529 <https://github.com/ros-planning/moveit/issues/1529>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-kinematics//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
